API Documentation

Segments

GET https://notificatorsms.com/api/segments/
curl --request GET \
--url 'https://notificatorsms.com/api/segments/' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/segments/' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/segments/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/segments/', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/segments/', headers=headers)
print(r.json())
Parameters Dettagli Descrizione
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name.
type Optional String Filter results by type.
segment_id Optional Integer Filter results by segment ID.
user_id Optional Integer Filter results by user ID.
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: segment_id, name, datetime, last_datetime, total_contacts.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example",
            "settings": {
                "contacts_ids": [1,2,3,4,5]
            },
            "type": "custom",
            "total_contacts": 5,
            "last_datetime": null,
            "datetime": "2026-05-17 16:54:11",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://notificatorsms.com/api/segments?page=1",
        "last": "https://notificatorsms.com/api/segments?page=1",
        "next": null,
        "prev": null,
        "self": "https://notificatorsms.com/api/segments?page=1"
    }
}
GET https://notificatorsms.com/api/segments/{segment_id}
curl --request GET \
--url 'https://notificatorsms.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/segments/{segment_id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/segments/{segment_id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/segments/{segment_id}', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/segments/{segment_id}', headers=headers)
print(r.json())
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example",
        "settings": {
            "contacts_ids": [1,2,3,4,5]
        },
        "type": "filter",
        "total_contacts": 5,
        "last_datetime": null,
        "datetime": "2026-05-17 16:54:11",
    }
}
POST https://notificatorsms.com/api/segments
Parameters Dettagli Descrizione
name Required String -
type Optional String Allowed values: bulk, custom, filter
phone_numbers Optional String Available when: segment = bulk
contacts_ids Optional String Available when: segment = custom
filters_custom_parameter_key[index] Optional String Available when: segment = filter
filters_custom_parameter_condition[index] Optional String Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Available when: segment = filter
filters_custom_parameter_value[index] Optional String Available when: segment = filter
filters_countries[] Optional String Available when: segment = filter
filters_continents[] Optional String Available when: segment = filter
curl --request POST \
--url 'https://notificatorsms.com/api/segments' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'type=custom' \
--form 'contacts_ids=1,2,3,4,5' \
curl --request POST \
  --url 'https://notificatorsms.com/api/segments' \
  --header 'Authorization: Bearer VOTRE_API_KEY' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=Mon Segment' \
  --form 'type=custom'
<?php
$ch = curl_init('https://notificatorsms.com/api/segments');
curl_setopt_array($ch, [
    CURLOPT_POST           => true,
    CURLOPT_POSTFIELDS     => [
        'name' => 'Mon Segment',
        'type' => 'custom',
    ],
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const form = new FormData();
form.append('name', 'Mon Segment');
form.append('type', 'custom');

const res = await fetch('https://notificatorsms.com/api/segments', {
    method: 'POST',
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
    body: form,
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
payload = {
    'name': 'Mon Segment',
    'type': 'custom',
}
r = requests.post('https://notificatorsms.com/api/segments', data=payload, headers=headers)
print(r.json())
{
    "data": {
        "id": 1
    }
}
POST https://notificatorsms.com/api/segments/{segment_id}
Parameters Dettagli Descrizione
name Optional String -
type Optional String Allowed values: bulk, custom, filter
phone_numbers Optional String Available when: segment = bulk
contacts_ids Optional String Available when: segment = custom
filters_custom_parameter_key[index] Optional String Available when: segment = filter
filters_custom_parameter_condition[index] Optional String Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Available when: segment = filter
filters_custom_parameter_value[index] Optional String Available when: segment = filter
filters_countries[] Optional String Available when: segment = filter
filters_continents[] Optional String Available when: segment = filter
curl --request POST \
--url 'https://notificatorsms.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'type=custom' \
--form 'contacts_ids=1,2,3,4,5' \
curl --request POST \
  --url 'https://notificatorsms.com/api/segments/{segment_id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=Mon Segment'
<?php
$ch = curl_init('https://notificatorsms.com/api/segments/{segment_id}');
curl_setopt_array($ch, [
    CURLOPT_POST           => true,
    CURLOPT_POSTFIELDS     => [
        'name' => 'Mon Segment',
    ],
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const form = new FormData();
form.append('name', 'Mon Segment');

const res = await fetch('https://notificatorsms.com/api/segments/{segment_id}', {
    method: 'POST',
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
    body: form,
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
payload = {
    'name': 'Mon Segment',
}
r = requests.post('https://notificatorsms.com/api/segments/{segment_id}', data=payload, headers=headers)
print(r.json())
{
    "data": {
        "id": 1
    }
}
DELETE https://notificatorsms.com/api/segments/{segment_id}
curl --request DELETE \
--url 'https://notificatorsms.com/api/segments/{segment_id}' \
--header 'Authorization: Bearer {api_key}' \
curl --request DELETE \
  --url 'https://notificatorsms.com/api/segments/{segment_id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/segments/{segment_id}');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST  => 'DELETE',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/segments/{segment_id}', {
    method: 'DELETE',
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.delete('https://notificatorsms.com/api/segments/{segment_id}', headers=headers)
print(r.json())